DEX - 경로
가격 영향과 수수료를 고려한 토큰 스왑 최적 경로 계산. 최적 경로와 준비된 트랜잭션을 반환합니다.
curl --request POST \
--url https://api.chainstream.io/v2/dex/{chain}/route \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": true,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
}
'import requests
url = "https://api.chainstream.io/v2/dex/{chain}/route"
payload = {
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": True,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dex: 'jupiter',
userAddress: 'oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7',
amount: '1000000000',
swapMode: 'ExactIn',
slippage: 5,
priorityFee: '1000',
inputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
outputMint: 'Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB',
recipientAddress: '0x0000000000000000000000000000000000000001',
permit: '66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9',
deadline: 1716806400000,
tipFee: '1000000',
isAntiMev: true,
maxFeePerGas: '50000000000',
maxPriorityFeePerGas: '2000000000',
gasPrice: '50000000000',
gasLimit: '300000'
})
};
fetch('https://api.chainstream.io/v2/dex/{chain}/route', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"args": {
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": true,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
},
"serializedTx": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=",
"routeInfo": {
"inAmount": "1000000000",
"outAmount": "985000000",
"priceImpact": "0.15",
"route": [
"USDC",
"SOL"
]
},
"elapsedTime": 245,
"recentBlockhash": "JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP",
"lastValidBlockHeight": 416681972
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
지원되는 네트워크에 나열된 체인 이름
sol, bsc, eth 본문
거래의 DEX 식별자
jupiter, kyberswap, raydium, pumpfun, moonshot, candy, launchpad "jupiter"
트랜잭션을 시작하는 지갑의 공개 키
8 - 64"oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7"
스왑 수량. 전액은 "auto", 비율은 "50%"와 같이 사용
"1000000000"
스왑 방향 모드
ExactIn, ExactOut "ExactIn"
슬리피지 허용 비율
0 <= x <= 1005
트랜잭션 처리 속도를 높이기 위한 우선 수수료 (SOL 단위)
"1000"
입력 토큰 Mint 주소
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
출력 토큰 Mint 주소
"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"
스왑 수신 지갑 주소
"0x0000000000000000000000000000000000000001"
스왑 Permit 데이터
"66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9"
스왑 마감 타임스탬프
1716806400000
트랜잭션 처리 속도를 높이기 위한 팁 수수료 (SOL 단위)
"1000000"
Anti-MEV 보호 활성화 여부
true
가스당 최대 수수료 (EIP-1559, wei 단위)
"50000000000"
가스당 최대 우선 수수료 (EIP-1559, wei 단위)
"2000000000"
가스 가격 (레거시 트랜잭션, wei 단위)
"50000000000"
트랜잭션 가스 한도
"300000"
응답
원본 스왑 요청 파라미터
Show child attributes
Show child attributes
Base64 인코딩된 트랜잭션
"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
상세 라우팅 정보
{
"inAmount": "1000000000",
"outAmount": "985000000",
"priceImpact": "0.15",
"route": ["USDC", "SOL"]
}요청 처리 소요 시간 (밀리초)
245
스왑 트랜잭션의 최근 블록해시
"JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP"
스왑 트랜잭션의 마지막 유효 블록 높이
416681972
이 페이지가 도움이 되었나요?

